SysInfo (Sigar API)
Date: 2010-04-28

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.sigar
Class SysInfo

    java.lang.Object
      org.hyperic.sigar.SysInfo

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  OperatingSystem

    public class SysInfo

extends java.lang.Object
implements java.io.Serializable

SysInfo sigar class.

See Also:
  Serialized Form

Constructor Summary
`SysInfo()`

Method Summary
`void` | `gather(Sigar sigar)`
`java.lang.String` | `getArch()` Get the arch.
`java.lang.String` | `getDescription()` Get the description.
`java.lang.String` | `getMachine()` Get the machine.
`java.lang.String` | `getName()` Get the name.
`java.lang.String` | `getPatchLevel()` Get the patch_level.
`java.lang.String` | `getVendor()` Get the vendor.
`java.lang.String` | `getVendorCodeName()` Get the vendor_code_name.
`java.lang.String` | `getVendorName()` Get the vendor_name.
`java.lang.String` | `getVendorVersion()` Get the vendor_version.
`java.lang.String` | `getVersion()` Get the version.
`java.util.Map` | `toMap()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SysInfo

    public SysInfo()

Method Detail

### gather

    public void gather(Sigar sigar)
                throws SigarException

  Throws:
    `SigarException`

### getName

    public java.lang.String getName()

  Get the name.

  Supported Platforms: All.

  Returns:
    name

### getVersion

    public java.lang.String getVersion()

  Get the version.

  Supported Platforms: All.

  Returns:
    version

### getArch

    public java.lang.String getArch()

  Get the arch.

  Supported Platforms: All.

  Returns:
    arch

### getMachine

    public java.lang.String getMachine()

  Get the machine.

  Supported Platforms: All.

  Returns:
    machine

### getDescription

    public java.lang.String getDescription()

  Get the description.

  Supported Platforms: All.

  Returns:
    description

### getPatchLevel

    public java.lang.String getPatchLevel()

  Get the patch_level.

  Supported Platforms: Win32.

  Returns:
    patch_level

### getVendor

    public java.lang.String getVendor()

  Get the vendor.

  Supported Platforms: All.

  Returns:
    vendor

### getVendorVersion

    public java.lang.String getVendorVersion()

  Get the vendor_version.

  Supported Platforms: All.

  Returns:
    vendor_version

### getVendorName

    public java.lang.String getVendorName()

  Get the vendor_name.

  Supported Platforms: All.

  Returns:
    vendor_name

### getVendorCodeName

    public java.lang.String getVendorCodeName()

  Get the vendor_code_name.

  Supported Platforms: All.

  Returns:
    vendor_code_name

### toMap

    public java.util.Map toMap()

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ? 2004-2009 Hyperic. All Rights Reserved.